<?php get_header(); ?>

			<div id="content">

<?php if (have_posts()) : ?>

	<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
	<?php /* If this is a category archive */ if (is_category()) { ?>
				<h2 class="archivetitle"><?php printf(__('Archive for the &#8216;%s&#8217; Category', 'deep_red'), single_cat_title('', false)); ?></h2>
	<?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
				<h2 class="archivetitle"><?php printf(__('Posts Tagged &#8216;%s&#8217;', 'deep_red'), single_tag_title('', false) ); ?></h2>
	<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
				<h2 class="archivetitle"><?php printf(_c('Archive for %s|Daily archive page'), get_the_time(__('F jS, Y', 'deep_red'))); ?></h2>
	<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
				<h2 class="archivetitle"><?php printf(_c('Archive for %s|Monthly archive page'), get_the_time(__('F, Y', 'deep_red'))); ?></h2>
	<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
				<h2 class="archivetitle"><?php printf(_c('Archive for %s|Yearly archive page'), get_the_time(__('Y', 'deep_red'))); ?></h2>
	<?php /* If this is an author archive */ } elseif (is_author()) { ?>
				<h2 class="archivetitle"><?php _e('Author Archive', 'deep_red'); ?></h2>
	<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
				<h2 class="archivetitle"><?php _e('Blog Archives', 'deep_red'); ?></h2>
	<?php } ?>
 	  
	<?php while (have_posts()) : the_post(); ?>
				<div <?php if (function_exists('post_class')){post_class();}else{echo 'class="post" ';} ?> id="post-<?php the_ID(); ?>">
					<div class="post-head">
						<h2 class="post-title"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf(__('Permanent Link to %s', 'deep_red'), the_title_attribute('echo=0')); ?>"><?php the_title(); ?></a></h2>
						<div class="post-title-meta clearfix">
							<p class="meta-date"><?php the_time(__('M', 'deep_red')) ?>&nbsp;<?php the_time(__('d', 'deep_red')) ?>&nbsp;<?php the_time(__('Y', 'deep_red')) ?></p>
							<p class="meta-cat"><?php _e('Categories', 'deep_red'); ?>&nbsp;<?php printf( get_the_category_list(', ')); ?>&nbsp;&nbsp;|&nbsp;&nbsp;<?php _e('Posted by', 'deep_red'); ?>&nbsp;<?php the_author() ?></p>
						</div>
					</div>
					<div class="entry clearfix"><?php the_content(__('Read the rest of this entry &raquo;', 'deep_red')); ?></div>
					<?php wp_link_pages('before=<div class="nav_link clearfix">&after=</div>&next_or_number=number&pagelink=<span class="page_number">%</span>'); ?>

					<div class="post-footer clearfix">
						<p class="meta-tag"><span><?php the_tags(__('Tags:', 'deep_red') . ' ', ', ', '<br />'); ?></span></p>
					  <p class="meta-comment"><?php edit_post_link(__('Edit', 'deep_red'), '', '&nbsp;&nbsp;|&nbsp;&nbsp;'); ?><?php comments_popup_link(__('No Comments &#187;', 'deep_red'), __('1 Comment &#187;', 'deep_red'), __('% Comments &#187;', 'deep_red'), '', __('Comments Closed', 'deep_red') ); ?></p>
					</div>
				</div>
	<?php endwhile; ?>

				<div id="new-old-navigation" class="clearfix">
					<?php if(next_posts_link('<p class="older">'.__('Older Entries', 'deep_red').' </p>')) : ?><?php endif ; ?>
					<?php if(previous_posts_link('<p class="newer">'.__('Newer Entries', 'deep_red').' </p>')) : ?><?php endif ; ?>
				</div>

<?php else :?>

	<?php if ( is_category() ) { // If this is a category archive
		printf("<p class='error-comment'>".__("Sorry, but there aren't any posts in the %s category yet.", "deep_red")."</p>", single_cat_title('',false));
	} else if ( is_date() ) { // If this is a date archive
		echo("<p class='error-comment'>".__("Sorry, but there aren't any posts with this date.", "deep_red")."</p>");
	} else if ( is_author() ) { // If this is a author archive
		$userdata = get_userdatabylogin(get_query_var('author_name'));
		printf("<p class='error-comment'>".__("Sorry, but there aren't any posts by %s yet.", "deep_red")."</p>", $userdata->display_name);
	} else {
		echo("<p class='error-comment'>".__('No posts found.', 'deep_red').'</p>');
	}
	get_search_form();?>
	
<?php endif; ?>

			</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>


