<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>

<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

<title><?php wp_title('&laquo;', true, 'right'); ?> <?php bloginfo('name'); ?></title>

<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<!--[if lt IE 7]>
<script src="http://ie7-js.googlecode.com/svn/version/2.0(beta3)/IE7.js" type="text/javascript"></script>
<![endif]-->

<link rel="alternate" type="application/rss+xml" title="<?php printf(__('%s RSS Feed', 'deep_red'), get_bloginfo('name')); ?>" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="<?php printf(__('%s Atom Feed', 'deep_red'), get_bloginfo('name')); ?>" href="<?php bloginfo('atom_url'); ?>" /> 
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<link rev="made" href="http://www.web-strategy.jp/" />

<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?> 

<?php //comments_popup_script(600,550); ?>

<?php wp_head(); ?>
<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/scroll.js"></script>

</head>
<body>

<div id="outside">
	<div id="wrapper_header">
		<div id="header" class="clearfix">
			<div id="header_inside">
				<h1 id="site_title"><a href="<?php echo get_option('home'); ?>/"><?php bloginfo('name'); ?></a></h1>
				<p class="description"><?php bloginfo('description'); ?></p>
			</div>
			<div id="rss_button"><a href="<?php bloginfo('rss2_url');?>">RSS</a></div>
		</div>
	</div>
	<div id="wrapper_gnavi">
		<div id="gnavi">
			<ul class="clearfix">
				<li class="page_item"><a href="<?php echo get_option('home'); ?>/">HOME</a></li>
				<?php wp_list_pages('title_li='); ?> 
			</ul>
		</div>
	</div>
	<div id="wrapper_main" class="clearfix">

